Bug 188260 - Avahi support omitted from Ekiga
Avahi support omitted from Ekiga
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-07 10:51 EDT by Jan "Yenya" Kasprzak
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-07 08:08:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to the ekiga.spec file - avahi and d-bus support (1.45 KB, patch)
2006-04-07 10:51 EDT, Jan "Yenya" Kasprzak
no flags Details | Diff

  None (edit)
Description Jan "Yenya" Kasprzak 2006-04-07 10:51:20 EDT
Description of problem:
The ekiga.spec file includes an explicit --disable-avahi switch to ./configure.
I think with the official 2.0 release and with avahi integration in FC5, this
switch is no longer necessary.

Also the d-bus support is disabled by default (altough I am not sure what it does).

Additional info:
I have modified the spec file, recompiled ekiga, and the avahi support is working.
Comment 1 Jan "Yenya" Kasprzak 2006-04-07 10:51:20 EDT
Created attachment 127466 [details]
Patch to the ekiga.spec file - avahi and d-bus support
Comment 2 Daniel Veillard 2006-04-07 12:12:35 EDT
Yeah, that's true, let's say I was being cautious, I will switch them on in the
next release. I'm not 100% sure it's needed for normal operations, and worth a
new push.

Daniel
Comment 3 Jan "Yenya" Kasprzak 2006-04-07 13:14:35 EDT
It is not needed for normal operations - it just allows the user to see other
SIP phones on the same network, so users can call each other even without a SIP
server. I think it is OK to switch avahi on in the next release.
Comment 4 Daniel Veillard 2006-06-07 08:08:47 EDT
Fixed in rawhide with version 2.0.2 of Ekiga,

Daniel

Note You need to log in before you can comment on or make changes to this bug.